import { Server } from 'socket.io'

import Logger, { LoggerType } from '#application/logger'
import { TSocket } from '#application/types'

export abstract class BaseEvent {
  protected readonly logger = Logger.type(LoggerType.GAME)

  constructor(
    readonly io: Server,
    readonly socket: TSocket
  ) {}
}
